Get Supported Object Filters
Query api to get the objects and supported attributes to set filters on
Request
URI
POST
https://{api_host}/tca/rbac/api/v1/orgs/{orgId}/supportedObjectFilters/query
COPY
Path Parameters
string
orgId
Required
The identifier of the tenant
Request Body
Filter object.
supportedObjectFiltersfilter
of type(s)
application/json
Required
{
"filter": {
"objectType": [
"string"
]
}
}
object
filter
Optional
filter
Responses
200
Successfully retrived supported object filters.
Returns
supportedObjectFilters
of type(s)
application/json
{
"items": [
{
"objectType": "string",
"supportedFilters": [
"string"
],
"regexSupportedInFilters": false
}
]
}
array of
object
items
Optional
items
400
Bad Request
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Supported Object Filter not found
Operation doesn't return any data structure
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}